Subject: Re: Failure to detect PCI card

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 12 Aug 2013 12:32:19 +1000

On Thu, 2013-08-08 at 13:31 -0700, Peter LaDow wrote:
> For those that are interested, we did figure out what was going on.
> Turns out that the clock buffer driving the PCI connector was, well,
> less than adequate.  With some cards, the load on the clock line was
> large enough that the clock was in horrible shape.  Fixing the clock
> line and the card that failed to be recognized started working.  For
> the other cards that worked, the load on the clock line was
> significantly less, but the clock was still marginal.
> 
> Anyway, turned out to be a hardware issue.  Thanks to all that helped!

Do that help with e1000 as well ? IE. A bad clock might have caused
malfunctions of the DMA for example...

Cheers,
Ben.